/* WPS installer for Text2PDF (Drop target) */

CALL RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'

SAY
SAY 'Creating WPS object for Text2PDF (Drop target)...'
SAY

IF Stream('Text2PDF.CMD','C','QUERY EXISTS')='' THEN DO
   SAY 'Error: file Text2PDF.CMD not found in' Directory() 
   SAY
   EXIT
END
IF Stream('Text2PDF.EXE','C','QUERY EXISTS')='' THEN DO
   SAY 'Error: file Text2PDF.EXE not found in' Directory() 
   SAY
   EXIT
END

SAY
SAY "List of Text2PDF.EXE's possible parameters (fully optional):"
SAY
SAY '  -f<font>     Use PostScript <font> (must be in standard 14, default: Courier)'
SAY '  -I           Use ISOLatin1Encoding'
SAY '  -s<size>     Use font at given pointsize (default: 10)'
SAY '  -v<dist>     Use given line spacing (default: 12 points)'
SAY '  -l<lines>    Lines per page (determined automatically if unspecified)'
SAY '  -c<chars>    Maximum characters per line (default: 80)'
SAY '  -t<spaces>   Spaces per tab character (default 8)'
SAY '  -F           Ignore formfeed characters (^L)'
SAY '  -A3|A4|A5    Use A3, A4, or A5 paper (default: Letter)'
SAY '  -x<width>    Independent paper width, in points'
SAY '  -y<height>   Independent paper height, in points'
SAY '  -2           Format in 2 columns'
SAY '  -L           Landscape mode'
SAY
SAY 'Enter additional parameters to be used by default, for example -A4 to use the'
CALL CharOut '','A4 paper size: ' 
PARSE PULL parameters
SAY
parameters=Strip(parameters) 
text='Additional parameters'
IF parameters<>'' THEN text='Already in use:' parameters
parameters=Strip(parameters '['||text||'] "%*";')
class='WPProgram'
title='Text2PDF'||D2C(10)||'Drop target'
location='<WP_DESKTOP>'
setup='EXENAME='||Directory()||'\Text2PDF.CMD;MINIMIZED=YES;PARAMETERS='||parameters
option='U'
IF SysCreateObject(class,title,location,setup,option)=0 THEN DO
   SAY 'Error creating WPS object for Text2PDF (Drop target)'
   SAY
   EXIT
END

SAY 'WPS object created for Text2PDF (Drop target)'
SAY

EXIT
